Skip to content

Nutanix

All operations require authentication, except the 3 marked Public.

18 operationsv1/nutanix · /nutanix/availabilities · /nutanix/availableVersions · +2
Agent setup

Get list of owned Nutanix ClustersProduction

GET
/1.0/nutanix

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/nutanix \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get all nodes in a clusterProduction

GET
/1.0/nutanix/{serviceName}/nodes

Path parameters

serviceName
required
string

Service name

Response

200nodeDetails[]successful operation
ahvIp
read-only
ipv4

Hypervisor IP

cvmIp
read-only
ipv4

Controler VM IP

possibleActions
read-only
possibleActions[]

Node possible actions

server
read-only
string

Name of the associated server

status
read-only
nodeStatusEnum

Node status

ValuesDEPLOYEDDEPLOYINGDEPLOY_CANCELLEDDEPLOY_FAILUREUNDEPLOYEDUNDEPLOYINGUNDEPLOY_CANCELLEDUNDEPLOY_FAILUREUNKNOWN

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/nodes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "ahvIp": "192.0.2.0", "cvmIp": "192.0.2.0", "possibleActions": [ { "action": "INSTALL", "isPossible": true, "reason": "string" } ], "server": "string", "status": "DEPLOYED" }]

Get nutanix cluster infoProduction

GET
/1.0/nutanix/{serviceName}

Path parameters

serviceName
required
string

Service name

Response

200stateDetailsWithIAMsuccessful operation
allowedRedundancyFactor
read-only
integer[]

Available redundancy Factor

availableVersions
read-only
string[]

Available versions to install

iam
read-only
ResourceMetadata

IAM resource metadata

serviceName
read-only
string

Cluster name

status
read-only
statusEnum

Current cluster's status

ValuesActiveDeployingError
targetSpec
read-only
clusterDetails

Target Spec after deployment

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedRedundancyFactor": [ 0 ], "availableVersions": [ "string" ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string", "status": "Active", "targetSpec": { "controlPanelURL": "string", "dataserviceIp": "192.0.2.0", "erasureCoding": true, "gatewayCidr": "192.0.2.0/24", "infraVlanNumber": 0, "ipfo": "192.0.2.0/24", "iplb": "string", "license": "string", "metadata": { "initialCommitmentSize": 0 }, "name": "string", "nodes": [ { "ahvIp": "192.0.2.0", "cvmIp": "192.0.2.0", "possibleActions": [ { "action": "INSTALL", "isPossible": true, "reason": "string" } ], "server": "string", "status": "DEPLOYED" } ], "prismCentral": { "ips": [ "192.0.2.0" ], "size": "large", "type": "alone", "vip": "192.0.2.0" }, "prismElementVip": "192.0.2.0", "prismSecretId": "00000000-0000-0000-0000-000000000000", "rackAwareness": true, "redundancyFactor": 0, "version": "string", "vrack": "string" }}

Fetch the availabilities for a given cluster configurationProductionPublic

GET
/1.0/nutanix/availabilities

Query parameters

erasureCoding
boolean
—
memory
string

The name of the memory hardware part

planCode
string

The plan code in which the hardware is involved

quantity
required
integer

Node quantity

rackAwareness
boolean
—
redundancyFactor
RedundancyFactorEnum

Cluster redundancy factor

Values23
server
string

The name of the base hardware

storage
string

The name of the storage hardware part

systemStorage
string

The name of the system storage hardware part

Response

200availability[]successful operation
datacenters
read-only
DatacenterAvailability[]

A structure describing the hardware availability for each datacenter

deploymentType
read-only
DeploymentTypeEnum

Deployment type

ValuesNodeAwareness
erasureCoding
read-only
boolean

Erasure coding activation

fqn
read-only
string

Fully qualified name and unique name of the hardware

memory
read-only
string

Name of the memory hardware part

planCode
read-only
string

Plan code in which the hardware is involved

redundancyFactor
read-only
RedundancyFactorEnum

Redundancy factor

Values23
server
read-only
string

Name of the base hardware

storage
read-only
string

Name of the storage hardware part

systemStorage
read-only
string

Name of the system storage hardware part

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/availabilities
ResponseExample
[ { "datacenters": [ { "availability": "1440H", "datacenter": "string" } ], "deploymentType": "NodeAwareness", "erasureCoding": true, "fqn": "string", "memory": "string", "planCode": "string", "redundancyFactor": 2, "server": "string", "storage": "string", "systemStorage": "string" }]

List the raw availability for Nutanix clusterProduction

GET
/1.0/nutanix/availabilities/raw

Query parameters

datacenters
string

The names of datacenters separated by commas

deploymentType
DeploymentTypeEnum

Cluster deployment type

ValuesNodeAwareness
erasureCoding
boolean
—
excludeDatacenters
boolean

If true, all datacenters are returned except those listed in datacenters parameter

excludeRegions
boolean

If true, all regions are returned except those listed in regions parameter

memory
string

The name of the memory hardware part

planCode
string

The plan code in which the hardware is involved

quantity
required
integer

Node quantity

redundancyFactor
RedundancyFactorEnum

Cluster redundancy factor

Values23
regions
string

The names of regions separated by commas

server
string

The name of the base hardware

storage
string

The name of the storage hardware part

systemStorage
string

The name of the system storage hardware part

Response

200AvailabilitiesRaw[]successful operation
datacenters
read-only
AvailabilitiesRawDatacenter[]

A structure describing the hardware availability for each datacenter

deploymentType
read-only
DeploymentTypeEnum

Deployment type

ValuesNodeAwareness
erasureCoding
read-only
boolean

Erasure coding activation

fqn
read-only
string

Fully qualified name and unique name of the hardware

memory
read-only
string

Name of the memory hardware part

planCode
read-only
string

Plan code in which the hardware is involved

redundancyFactor
read-only
RedundancyFactorEnum

Redundancy factor

Values23
server
read-only
string

Name of the base hardware

storage
read-only
string

Name of the storage hardware part

systemStorage
read-only
string

Name of the system storage hardware part

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/availabilities/raw \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "datacenters": [ { "availability": "1440H", "datacenter": "string", "lastRule": "string", "parentAvailable": 0, "trueAvailable": 0 } ], "deploymentType": "NodeAwareness", "erasureCoding": true, "fqn": "string", "memory": "string", "planCode": "string", "redundancyFactor": 2, "server": "string", "storage": "string", "systemStorage": "string" }]

Fetch the available Nutanix versions to installProductionPublic

GET
/1.0/nutanix/availableVersions

Query parameters

fqn
string

Fully qualified name and unique name of the hardware

Response

200string[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/availableVersions
ResponseExample
[ "string"]

Get a node details in a clusterProduction

GET
/1.0/nutanix/{serviceName}/nodes/{server}

Path parameters

server
required
string

Server

serviceName
required
string

Service name

Response

200nodeDetailssuccessful operation
ahvIp
read-only
ipv4

Hypervisor IP

cvmIp
read-only
ipv4

Controler VM IP

possibleActions
read-only
possibleActions[]

Node possible actions

server
read-only
string

Name of the associated server

status
read-only
nodeStatusEnum

Node status

ValuesDEPLOYEDDEPLOYINGDEPLOY_CANCELLEDDEPLOY_FAILUREUNDEPLOYEDUNDEPLOYINGUNDEPLOY_CANCELLEDUNDEPLOY_FAILUREUNKNOWN

Example uses server = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/nodes/{server} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "ahvIp": "192.0.2.0", "cvmIp": "192.0.2.0", "possibleActions": [ { "action": "INSTALL", "isPossible": true, "reason": "string" } ], "server": "string", "status": "DEPLOYED"}

Fetch the requirements for a given cluster configurationProductionPublic

GET
/1.0/nutanix/requirements

Query parameters

erasureCoding
required
boolean
—
rackAwareness
required
boolean
—
redundancyFactor
required
RedundancyFactorEnum

Cluster redundancy factor

Values23

Response

200Requirementssuccessful operation
maxNodes
read-only
integer

Maximum number of nodes

minNodes
read-only
integer

Minimum number of nodes

scaleFactor
read-only
integer

Number of added/removed nodes in case of scaling up/down

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/requirements
ResponseExample
{ "maxNodes": 0, "minNodes": 0, "scaleFactor": 0}

Get service informationProduction

GET
/1.0/nutanix/{serviceName}/serviceInfos

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Launch a contact change procedureProduction

POST
/1.0/nutanix/{serviceName}/changeContact

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Confirm service terminationProduction

POST
/1.0/nutanix/{serviceName}/confirmTermination

Path parameters

serviceName
required
string

Service name

Request body (required)

commentary
string

Commentary about your termination request

commentaryFutureUse
string

Commentary about your future use

commentaryReason
string

Commentary about your reason for termination request

futureUse
TerminationFutureUseEnum

All future uses you can provide for a service termination

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

All reasons you can provide for a service termination

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Terminate a nodeProduction

POST
/1.0/nutanix/{serviceName}/nodes/{server}/terminate

Path parameters

server
required
string

Server

serviceName
required
string

Service name

Response

200—successful operation

Example uses server = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/nodes/{server}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"

Ask for the termination of your serviceProduction

POST
/1.0/nutanix/{serviceName}/terminate

Path parameters

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update nutanix cluster infoProduction

PUT
/1.0/nutanix/{serviceName}

Path parameters

serviceName
required
string

Service name

Query parameters

redeploycluster
boolean

I am aware that I am going to make changes that will reinstall my cluster

scaleOut
boolean

I am aware that I am going to make changes that will scale-out my cluster

Request body (required)

controlPanelURL
read-only
string

Control Panel URL

dataserviceIp
ip

Dataservice IP

erasureCoding
boolean

Erasure coding activation

gatewayCidr
ipBlock

Internal Gateway IP, with mask

infraVlanNumber
integer

Infra-Vlan number

installPrismCentral
boolean

Should Prism Central be installed on the cluster

ipfo
read-only
ipBlock

External Gateway IP, with mask

iplb
read-only
string

IPLB ID

name
read-only
string

Cluster name

nodes
nodes[]

Cluster node list

prismCentral
prismcentral

Prism Central Configuration

prismElementVip
ipv4

Prism Element IP

prismSecretId
read-only
stringuuid

UUID for secret

rackAwareness
read-only
boolean

Rack Awareness activation

redundancyFactor
integer

Redundancy Factor

version
string

AOS Version

vrack
read-only
string

vRack name

Response

200statesuccessful operation
allowedRedundancyFactor
read-only
integer[]

Available redundancy Factor

availableVersions
read-only
string[]

Available versions to install

serviceName
read-only
string

Cluster name

status
read-only
statusEnum

Current cluster's status

ValuesActiveDeployingError
targetSpec
read-only
clusterResponse

Target Spec after deployment

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedRedundancyFactor": [ 0 ], "availableVersions": [ "string" ], "serviceName": "string", "status": "Active", "targetSpec": { "controlPanelURL": "string", "dataserviceIp": "192.0.2.0", "erasureCoding": true, "gatewayCidr": "192.0.2.0/24", "infraVlanNumber": 0, "ipfo": "192.0.2.0/24", "iplb": "string", "name": "string", "nodes": [ { "ahvIp": "192.0.2.0", "cvmIp": "192.0.2.0", "server": "string" } ], "prismCentral": { "ips": [ "192.0.2.0" ], "size": "large", "type": "alone", "vip": "192.0.2.0" }, "prismElementVip": "192.0.2.0", "prismSecretId": "00000000-0000-0000-0000-000000000000", "rackAwareness": true, "redundancyFactor": 0, "version": "string", "vrack": "string" }}

Reinstall a node in a clusterProduction

PUT
/1.0/nutanix/{serviceName}/nodes/{server}

Path parameters

server
required
string

Server

serviceName
required
string

Service name

Request body (required)

version
required
string

AOS Version

Response

200—successful operation

Example uses server = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/nodes/{server} \
  -H "authorization: Bearer $OVH_TOKEN"

Update DeployProduction

PUT
/1.0/nutanix/{serviceName}/nodes/{server}/deploy

Path parameters

server
required
string

Server

serviceName
required
string

Service name

Request body (required)

ahvIp
ipv4

Hypervisor IP

cvmIp
ipv4

Controler VM IP

version
string

AOS Version

Response

200—successful operation

Example uses server = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/nodes/{server}/deploy \
  -H "authorization: Bearer $OVH_TOKEN"

Update service informationProduction

PUT
/1.0/nutanix/{serviceName}/serviceInfos

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Update VRACKProduction

PUT
/1.0/nutanix/{serviceName}/vrack

Path parameters

serviceName
required
string

Service name

Request body (required)

vrackName
string

vRack Name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/nutanix/{serviceName}/vrack \
  -H "authorization: Bearer $OVH_TOKEN"